Package org.apache.batchee.cli.command.internal

## Class DefaultCliConfiguration

- java.lang.Object
- - org.apache.batchee.cli.command.internal.DefaultCliConfiguration

- All Implemented Interfaces:
    `CliConfiguration`

      public class DefaultCliConfiguration
      extends Object
      implements CliConfiguration

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultCliConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addDefaultCommands()` |
    `Object` | `coerce​(String value, Type expected)` |
    `Runnable` | `decorate​(Runnable task)` |
    `String` | `description()` |
    `String` | `name()` |
    `Iterator<Class<? extends UserCommand>>` | `userCommands()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCliConfiguration

          public DefaultCliConfiguration()

  - ### Method Detail

    - #### name

          public String name()

      Specified by:
        `name` in interface `CliConfiguration`

    - #### description

          public String description()

      Specified by:
        `description` in interface `CliConfiguration`

    - #### addDefaultCommands

          public boolean addDefaultCommands()

      Specified by:
        `addDefaultCommands` in interface `CliConfiguration`

    - #### userCommands

          public Iterator<Class<? extends UserCommand>> userCommands()

      Specified by:
        `userCommands` in interface `CliConfiguration`

    - #### decorate

          public Runnable decorate​(Runnable task)

      Specified by:
        `decorate` in interface `CliConfiguration`

    - #### coerce

          public Object coerce​(String value,
                               Type expected)

      Specified by:
        `coerce` in interface `CliConfiguration`